<?php

/**
 * Zend Framework (http://framework.zend.com/)
 *
 * @link      http://github.com/zendframework/Log for the canonical source repository
 * @copyright Copyright (c) 2005-2015 Zend Technologies USA Inc. (http://www.zend.com)
 * @license   http://framework.zend.com/license/new-bsd New BSD License
 */

namespace Log\Controller;

use Zend\Mvc\Controller\AbstractActionController;
use Zend\View\Model\ViewModel;

class LogController extends AbstractActionController {

    public function indexAction() {

        // Get dates from route
        $fromDate = $this->params()->fromRoute('from-date', date('Y-m-d', strtotime('- 1 month')));
        $toDate = $this->params()->fromRoute('to-date', date('Y-m-d'));

        // Create mappers
        $logMapper = $this->getMapper('LogMapper');

        // Get data
        $logs = $logMapper->getLogsBetweenDates($fromDate, $toDate);

        return new ViewModel(array(
            'logs' => $logs,
            'from_date' => $fromDate,
            'to_date' => $toDate
        ));
    }

    private function getMapper($mapperName) {
        return $this->getServiceLocator()->get($mapperName);
    }

}
